// Copyright (c) 2009-2026 SAP SE, All Rights Reserved
/**
 * @fileoverview
 * This module is the root of the CDM bootstrap, to be used ONLY in DEVELOPMENT
 * ENVIRONMENT.
 *
 * In summary, it configures the ushell and UI5. In contrast to the production
 * bootstrap root, it does NOT loads the core-min-x libs.
 */
sap.ui.define([
    "sap/base/config",
    "sap/ushell/bootstrap/cdm/BootTask/LoadBootstrapExtension",
    "sap/ushell/bootstrap/cdm/ConfigurationProvider",
    "sap/ushell/bootstrap/OverrideRegisterModulePath"
], (
    BaseConfig,
    LoadBootstrapExtension,
    ConfigurationProvider,
    overrideRegisterModulePath
) => {
    "use strict";

    if (performance && performance.mark) {
        performance.mark("FLP first paint!");
    }

    BaseConfig.registerProvider(ConfigurationProvider);

    overrideRegisterModulePath();
    LoadBootstrapExtension.run();
});

